<template>
  <div id="app">
    <HeaderComponent :isLoggedIn="isLoggedIn"></HeaderComponent>
    <router-view />
  </div>
</template>
<script>
import HeaderComponent from "./components/HeaderComponent.vue";

export default {
  data() {
    return {
      isLoggedIn: false,
    };
  },
  components: {
    HeaderComponent,
  },
  created() {
    // Obtiene el token desde el almacén usando el getter getToken
    const token = this.$store.getters.getToken;

    if (token != null) {
      this.isLoggedIn = true;
    }
  },
};
</script>
<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

nav {
  padding: 30px;
}

nav a {
  font-weight: bold;
  color: #2c3e50;
}

nav a.router-link-exact-active {
  color: #42b983;
}
</style>
